#
# spec file for package perl-Test-CPAN-Meta
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-CPAN-Meta
Version:        0.25
Release:        2.19
%define cpan_name Test-CPAN-Meta
Summary:        Validate your CPAN META.yml files
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-CPAN-Meta/
Source0:        http://www.cpan.org/authors/id/B/BA/BARBIE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Parse::CPAN::Meta) >= 0.02
BuildRequires:  perl(Test::More) >= 0.70
Requires:       perl(Parse::CPAN::Meta) >= 0.02
Requires:       perl(Test::More) >= 0.70
Recommends:     perl(Test::Pod) >= 1.00
Recommends:     perl(Test::Pod::Coverage) >= 0.08
%{perl_requires}

%description
This distribution was written to ensure that a META.yml file, provided with
a standard distribution uploaded to CPAN, meets the specifications that are
slowly being introduced to module uploads, via the use of package makers
and installers such as the ExtUtils::MakeMaker manpage, the Module::Build
manpage and the Module::Install manpage.

See the CPAN::Meta manpage for further details of the CPAN Meta
Specification.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Sat Nov 30 2019 Dominique Leuenberger <dimstar@opensuse.org>
- Convert changes file to proper UTF-8 format: new
  version of RPM are getting strict in interpreting files.
* Fri May  8 2015 coolo@suse.com
- updated to 0.25
  see /usr/share/doc/packages/perl-Test-CPAN-Meta/Changes
  0.25    2015-05-06
  - POD fixes (by Olivier Mengué (DOLMEN)).
  - removed Test::CPAN::Meta from the recommends list, as CPAN.pm tries
    to install it first. (RT#104023 Steve Hay (SHAY)).
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.24
  see /usr/share/doc/packages/perl-Test-CPAN-Meta/Changes
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.23
  - updated INSTALL instructions.
  - added minimum perl version (5.006).
  - reworked Makefile.PL for clarity.
  - implemented Perl::Critic suggestions.
  - added meta_yaml_ok test and example.
  - several Version.pm updates, including new() parameter name change:
    'yaml' is now 'data'.
  - RT#76609: further spelling fix. (Florian Schlichting).
  - removed DSLIP info.
  - RT#76609: spelling fix. (Florian Schlichting & Gregor Herrmann).
  - RT#74317: imported url validation from CPAN::Meta (Alex Hartmaier).
  - RT#66692: updated license type (Paul Howarth).
  - updates to examples.
* Sat Apr 30 2011 coolo@opensuse.org
- updated to 0.18
  - documentation clean up
* Fri Jan 21 2011 coolo@novell.com
- initial package 0.17
  * created by cpanspec 1.78.03
